SYSLOGD-LISTFILES(8)

NAME
syslogd-listfiles - list system logfiles

SYNOPSIS
syslogd-listfiles [ -a | --all ] [ --auth ] [ -f config file ] [ --news ] [ -w | --weekly ]

DESCRIPTION
Sysklogd provides a modern mechanism to log system messages. This mechanism is controlled by the file /etc/syslog.conf. Messages are divided into logfiles which can grow quite big. Therefore the logfiles need to be rotated once per day, per week or per month. On a Debian GNU/Linux system most of the files are rotated once per week. This program helps the rotation script to determine which logfiles need to be rotated and when. It takes care of news logfiles that are handled by the news.daily script from INN. In conjunction with the scripts in /etc/cron.daily and /etc/cron.weekly it takes care of files with sensitive information. By default a list of files for daily rotation is generated. At the moment this option only reflects entries that contain "*.*" as facility.priority.

OPTIONS

-a, --all
    List all logfiles and ignore all other rules.

-f config file
    Specify an alternative configuration file instead of /etc/syslog.conf, which is the default.

--auth
    Only list files containing sensitive information such as the one containing auth.*.

--news
    Don't exclude news logfiles which are normally handled by the news.daily script from INN.

-w, --weekly
    Generate the list for weekly rotation.

SEE ALSO
syslog.conf(5), syslogd(8), savelog(8).